package com.loafle.overflow.target.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.module.infra.Infra;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.target.dao.TargetDAO;
import com.loafle.overflow.module.target.model.Target;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.sql.Timestamp;
import java.util.Date;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class JPATargetDAOTest {

    @Autowired
    private TargetDAO repo;


    @Test
    public void create() {
        Target t = new Target();
        t.setCreateDate(new Timestamp(new Date().getTime()));

        Infra i = new Infra();
        i.setId(1);
        t.setInfra(i);

        Probe p = new Probe();
        p.setId(1);

        t.setInfra(i);
        t.setProbe(p);

        Target ret = repo.save(t);

    }


}